Summary: Library of Optimized Inner Loops, CPU optimized functions
Name:	liboil
Version: 0.3.0
#Release: 1
Release: 0.0%{?dist_tag}.kde
License: LGPL
Group: System Environment/Libraries
URL: http://www.schleef.org/liboil/
Source: http://www.schleef.org/liboil/download/liboil-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel, gcc-c++

%description
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).


%package devel
Summary: Development files and static library for liboil
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).


%prep
%setup


%build
%configure --disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

#makeinstall
%{__make} install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT


## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
# Conflicts with non compat pkg, besides I don't think it's used anyway
%{?compat: rm -f $RPM_BUILD_ROOT%{_libdir}/liboiltmp1* }



%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*
#{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jan 28 2005 Matthias Saou <http://freshrpms.net/> 0.3.0-1
- Update to 0.3.0.

* Wed Nov 24 2004 Matthias Saou <http://freshrpms.net/> 0.2.2-1
- Update to 0.2.2.

* Thu Nov  4 2004 Matthias Saou <http://freshrpms.net/> 0.2.0-1
- Initial RPM release.

